<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
			xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
			 xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
	<xsl:output method="xml" indent="yes"/>
	<xsl:strip-space elements="*"/>
	
	<xsl:variable name="schemas" select="document('schemas.xml')/schemas"/>
	
	<xsl:template match="node() | @*">
		<xsl:copy>
			<xsl:apply-templates select="node() | @*"/>
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="wsdl:types">
		<xsl:copy>
			<xsl:for-each select="$schemas/file">
				<xsl:apply-templates select="document(.)"/>
			</xsl:for-each>
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="comment()" priority="1"/>
	<xsl:template match="@schemaLocation"/>
	<!--<xsl:template match="xsd:import"/>-->
	<xsl:template match="@nillable"/>
	<xsl:template match="xsd:annotation"/>
	
</xsl:stylesheet>
